<template>
  <view>
	<view v-if="datalist.length>0">
		<!-- 新闻 -->
		<block v-if="type==1">
			<view class="nlist" v-for="(ite,idx) in datalist" :key='idx' @click="getDetail(ite.proposalId)">
				<!-- 置顶 -->
				<!-- <block v-if="ite.isTop">
					<view class="nrbox">
						<image :src="topbg"></image>
						<view>置顶</view>
					</view>
					<image :src="ite.img" class="titimg"></image>
				</block> -->
				<view class="tit overtwo">{{ite.title}}</view>
				<view class="txt flexcj mb10">
					<view class="flex0 label">案号</view>
					<view class="txts">{{ite.proposalNumber}}</view>
					<view class="btns">{{kaType(ite.proposalProgress,tajdlist)}}</view>
				</view>
				<view class="txt flexcj">
					<view class="flex0 label">提案类别</view>
					<view class="txts">{{ite.categoryName}}</view>
					<view class="flex0 ml6">{{ite.createTime}}</view>
				</view>
			</view>
		</block>
		<!--  -->
		<block v-if="type==2">
			<view class="nlist" v-for="(ite,idx) in datalist" :key='idx' @click="getDetail(ite.sqmyId)">
				<view class="tit overtwo">{{ite.title}}</view>
				<view class="txt flexcj mb10">
					<view class="flex0 label">编号</view>
					<view class="txts">{{ite.sqmyNumber}}</view>
					<view class="btns">{{kaType(ite.sqmyProgress,tajdlist)}}</view>
				</view>
				<view class="txt flexcj">
					<view class="flex0 label">主题类型</view>
					<view class="txts">{{kaType(ite.topicType,tajdlist)}}</view>
					<view class="flex0 ml6">{{ite.time}}</view>
				</view>
			</view>
		</block>
		<view class="shax" v-if="wtdt">{{wtdt}}</view>
	</view>
	<block v-else>
		<no-data></no-data>
	</block>
  </view>
</template>

<script>
	import { selectValue } from '@/utils/common.js';
	import noData from "@/components/nodata/nodata.vue"
  export default {
	props:{
		datalist: {
			type: Array,
			default () {
				return []
			}
		},
		wtdt:{
			type: String,
			default () {
				return ''
			}
		},
		type:{
			type: [String,Number],
			default () {
				return ''
			}
		},
		tajdlist:{
			type: Array,
			default () {
				return []
			}
		},
		ztlxlist:{
			type: Array,
			default () {
				return []
			}
		}
	},
	components:{
		noData
	},
	data(){
		return{
			topbg:require("@/static/images/home/topbg.png"),
		}
	},
	onLoad: function() {
	},
	methods:{
		kaType(ite,list){
			return selectValue(list, ite);
		},
		getDetail(e){
			this.$emit('getDetail',e)
		},
		typeFn(data){
			if(data){
				var newArr=[]
				var astr=data.split('-')
				astr.forEach(ite=>{
					var a=ite.substring(0,5);
					newArr.push(a)
				})
				return newArr.join('-')
			}else{
				return ''
			}
		},
	},
	
  }
</script>

<style lang="scss" scoped>
.nlist{
	position: relative;padding: 34rpx 0 30rpx;border-bottom: 2rpx solid #E6E6E6;
	&:last-child{border: none;}
	.nrbox{position: absolute;right: 0;top: 34rpx;z-index: 1;
		image{width: 112rpx;height: 52rpx;}
		view{position: absolute;right: 0;top: 0;left: 0;bottom: 0;font-weight: bold;font-size: 24rpx;color: #FFFFFF;line-height: 52rpx;padding-left: 40rpx;box-sizing: border-box;}
	}
	.titimg{width: 100%;height: 258rpx;margin-bottom: 26rpx;}
	.tit{font-weight: bold;font-size: 32rpx;color: #222327;margin-bottom: 24rpx;line-height: 44rpx;}
	.txt{font-weight: 500;font-size: 26rpx;color: #AAAAAA;
		text{margin:0 12rpx;}
		.label{width: 104rpx;text-align-last: justify;margin-right: 16rpx;}
		.txts{color: #222327; flex: 1;}
		.btns{min-width: 110rpx;height: 40rpx;
background: #FFECE3;border-radius: 10rpx;font-weight: 500;line-height: 40rpx;
font-size: 24rpx;text-align: center;padding: 0 16rpx;box-sizing: border-box;
color: #FF4E00;
}
	}
}

</style>
